package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.BankCardStatusEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_user_bank_card):
 */
public class SysUserBankCard {

	/**  */
	private Long id;
	
	/** 会员标识 */
	@ApiModelProperty(value = "会员标识",required = false)
	private Integer userId;
	
	/** 是否默认 0,否;1,是 */
	@ApiModelProperty(value = "是否默认 0,否;1,是",required = false)
	private YesOrNoEnum isDefault;
	
	/** 银行名称 */
	@ApiModelProperty(value = "银行名称",required = false)
	private String bankName;
	
	/** 银行代码 */
	@ApiModelProperty(value = "银行代码",required = false)
	private String bankCode;
	
	/** 银行卡号 */
	@ApiModelProperty(value = "银行卡号",required = false)
	private String cardNo;
	
	/** 省 */
	@ApiModelProperty(value = "省",required = false)
	private String province;
	
	/** 城市 */
	@ApiModelProperty(value = "城市",required = false)
	private String city;
	
	/** 地址 */
	@ApiModelProperty(value = "地址",required = false)
	private String address;
	
	/** 0,已删除;1,正常;2,冻结;3,验证中 */
	@ApiModelProperty(value = "联系方式",required = false)
	private BankCardStatusEnum status;
	
	/** 创建时间 */
	private java.util.Date createOn;
	
	/** 修改时间 */
	private java.util.Date modifyOn;
	
	/** 是否是快捷卡（0，否 1，是） */
	@ApiModelProperty(value = "是否是快捷卡",required = false)
	private YesOrNoEnum isQuick;
	
	/** 银行卡绑定的手机号码 */
	@ApiModelProperty(value = "银行卡绑定的手机号码",required = false)
	private String mobilePhone;
	
	/**  */
	@ApiModelProperty(value = "联系方式",required = false)
	private String transNo;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setBankName(String bankName){
		this.bankName = bankName;
	}
	
	public String getBankName(){
		return this.bankName;
	}
			
	public void setBankCode(String bankCode){
		this.bankCode = bankCode;
	}
	
	public String getBankCode(){
		return this.bankCode;
	}
			
	public void setCardNo(String cardNo){
		this.cardNo = cardNo;
	}
	
	public String getCardNo(){
		return this.cardNo;
	}
			
	public void setProvince(String province){
		this.province = province;
	}
	
	public String getProvince(){
		return this.province;
	}
			
	public void setCity(String city){
		this.city = city;
	}
	
	public String getCity(){
		return this.city;
	}
			
	public void setAddress(String address){
		this.address = address;
	}
	
	public String getAddress(){
		return this.address;
	}
			
	public void setCreateOn(java.util.Date createOn){
		this.createOn = createOn;
	}
	
	public java.util.Date getCreateOn(){
		return this.createOn;
	}
			
	public void setModifyOn(java.util.Date modifyOn){
		this.modifyOn = modifyOn;
	}
	
	public java.util.Date getModifyOn(){
		return this.modifyOn;
	}
			
	public void setMobilePhone(String mobilePhone){
		this.mobilePhone = mobilePhone;
	}
	
	public String getMobilePhone(){
		return this.mobilePhone;
	}
			
	public void setTransNo(String transNo){
		this.transNo = transNo;
	}
	
	public String getTransNo(){
		return this.transNo;
	}

	public YesOrNoEnum getIsDefault() {
		return isDefault;
	}

	public void setIsDefault(YesOrNoEnum isDefault) {
		this.isDefault = isDefault;
	}

	public BankCardStatusEnum getStatus() {
		return status;
	}

	public void setStatus(BankCardStatusEnum status) {
		this.status = status;
	}

	public YesOrNoEnum getIsQuick() {
		return isQuick;
	}

	public void setIsQuick(YesOrNoEnum isQuick) {
		this.isQuick = isQuick;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
